# Uses of Interface
org.globus.ftp.RestartData

Packages that use RestartData
Package
Description
org.globus.ftp

## Uses of RestartData in org.globus.ftp

Classes in org.globus.ftp that implement RestartData
Modifier and Type
Class
Description
`class`
`ByteRangeList`
Represents list of ranges of integers (ByteRange objects).
`class`
`StreamModeRestartMarker`
Represents FTP stream mode restart marker, as defined in RFC 959.
Methods in org.globus.ftp with parameters of type RestartData
Modifier and Type
Method
Description
`void`
FTPClient.`setRestartMarker(RestartData restartData)`
Sets restart parameter of the next transfer.